<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DbChannel..::.Timeout Property
DbChannel Class See Also Send Feedback

Set the default timeout value. It is used by SendRequest(array<DatabaseEntry>[]()[], UInt32).

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public uint Timeout { get; set; }

Visual Basic (Declaration)

    Public Property Timeout As UInteger

Visual C++

    public:
    property unsigned int Timeout {
    	unsigned int get ();
    	void set (unsigned int value);
    }

# Remarks

The timeout is the amount of time that may elapse while SendRequest(array<DatabaseEntry>[]()[], UInt32) waits for a message response. It must be specified as an unsigned 32-bit number of microseconds, limiting the maximum timeout to roughly 71 minutes.

# See Also

DbChannel Class
BerkeleyDB Namespace